Repack bustages build/outputs/target.bz2.complete.mar when Gecko 66 merges to Beta on 2019-01-21

VERIFIED FIXED

Status

defect
VERIFIED FIXED
5 months ago
3 days ago

People

(Reporter: CosminS, Unassigned)

Tracking

Firefox Tracking Flags

(firefox-esr60 unaffected, firefox64 unaffected, firefox65 unaffected, firefox66+ verified)

Details

Attachments

(2 attachments)

(Reporter)

Description

5 months ago
[Tracking Requested - why for this release]:

Central as beta simulation: https://treeherder.mozilla.org/#/jobs?repo=try&resultStatus=testfailed%2Cbusted%2Cexception&revision=f220b8a98eed05949b556b11fcfdc244cb83c0a9&searchStr=repack&selectedJob=218132474

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=218132474&repo=try&lineNumber=622

[task 2018-12-20T14:46:28.704Z] 14:46:28     INFO -  Adding file and directory remove instructions from file 'removed-files'
[task 2018-12-20T14:46:28.814Z] 14:46:28     INFO -  Finished
[task 2018-12-20T14:46:28.859Z] 14:46:28     INFO - Return code: 0
[task 2018-12-20T14:46:28.859Z] 14:46:28     INFO - Running command: ['/usr/bin/python2.7', 'mach', '--log-no-times', 'repackage', u'mar', u'--format', u'bz2', '--input', u'/builds/worker/fetches/target.tar.gz', '--mar', u'/builds/worker/fetches/mar', '--output', u'/builds/worker/workspace/build/outputs/target.bz2.complete.mar'] in /builds/worker/workspace/build/src
[task 2018-12-20T14:46:28.859Z] 14:46:28     INFO - Copy/paste: /usr/bin/python2.7 mach --log-no-times repackage mar --format bz2 --input /builds/worker/fetches/target.tar.gz --mar /builds/worker/fetches/mar --output /builds/worker/workspace/build/outputs/target.bz2.complete.mar
[task 2018-12-20T14:46:29.048Z] 14:46:29     INFO -  usage: mach [global arguments] repackage mar [command arguments]
[task 2018-12-20T14:46:29.048Z] 14:46:29     INFO -  mach: error: argument --arch is required
[task 2018-12-20T14:46:29.056Z] 14:46:29    ERROR - Return code: 2
[task 2018-12-20T14:46:29.056Z] 14:46:29    ERROR - 2 not in success codes: [0]
[task 2018-12-20T14:46:29.056Z] 14:46:29  WARNING - setting return code to 2
[task 2018-12-20T14:46:29.056Z] 14:46:29    FATAL - Halting on failure while running ['/usr/bin/python2.7', 'mach', '--log-no-times', 'repackage', u'mar', u'--format', u'bz2', '--input', u'/builds/worker/fetches/target.tar.gz', '--mar', u'/builds/worker/fetches/mar', '--output', u'/builds/worker/workspace/build/outputs/target.bz2.complete.mar']
[task 2018-12-20T14:46:29.056Z] 14:46:29    FATAL - Running post_fatal callback...
[task 2018-12-20T14:46:29.056Z] 14:46:29    FATAL - Exiting 2
[task 2018-12-20T14:46:29.057Z] 14:46:29     INFO - [mozharness: 2018-12-20 14:46:29.056976Z] Finished repackage step (failed)

Looks to be a regression from Bug 1514124. Tom could you please take a look over this? Thank you.
Flags: needinfo?(mozilla)
The argument is required, so this causes builds to fail when bz2 mars are created.

Comment 3

5 months ago
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/23be39ece10a
[release] Only build bz2 mars based on esr60 release-type (rather than specific branches);
https://hg.mozilla.org/integration/autoland/rev/b1c76f4c2227
Pass arch to repackage bz2 mars as well; r=Callek
Flags: needinfo?(mozilla)

Comment 7

2 months ago

https://hg.mozilla.org/comm-central/rev/927874d67aa0 (push date Thu, 20 Dec 2018 22:05:27 +0000)

Updated

3 days ago
Regressed by: 1540095

Updated

3 days ago
No longer regressed by: 1540095
Regressions: 1540095
You need to log in before you can comment on or make changes to this bug.